%define upstream_name	wxMaxima

Name:		wxmaxima
Version:	12.09.0
Release:	%mkrel 2
Summary:	An interface for the computer algebra system Maxima
Group:		Sciences/Mathematics
License:	GPLv2+
URL:		http://wxmaxima.sourceforge.net/
Source:		http://prdownloads.sourceforge.net/%{name}/%{upstream_name}-%{version}.tar.gz
Requires:	maxima
Buildrequires:	libxml2-devel
Buildrequires:	wxgtku-devel
Buildrequires:	imagemagick
Buildrequires:	desktop-file-utils
Suggests:	jsmath-fonts

%description
wxMaxima is a cross-platform graphical front-end for the computer
algebra system Maxima based on wxWidgets. It provides nice display
of mathematical output and easy access to Maxima functions through
menus and dialogs.


%prep 
%setup -q -n %{upstream_name}-%{version}

%build
%configure2_5x
%make

%install
%makeinstall
%find_lang %{upstream_name}

# icons
mkdir -p %{buildroot}%{_iconsdir}/hicolor/{16x16,32x32,48x48}/apps
convert data/wxmaxima.png -scale 48x48 %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png
convert data/wxmaxima.png -scale 32x32 %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
convert data/wxmaxima.png -scale 16x16 %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png

#xdg
install -D -p -m 644 %{name}.desktop %{buildroot}%{_datadir}/applications/%{name}.desktop

# correct icon name in menu entry
perl -pi -e 's,wxmaxima.png,%{name},g' %{buildroot}%{_datadir}/applications/*

desktop-file-install --vendor="" \
    --remove-category="Application" \
    --remove-category="Utility" \
    --remove-category="X-Red-Hat-Base" \
    --remove-category="X-Red-Hat-Base-Only" \
    --add-category="GTK" \
    --add-category="Science" \
    --add-category="Math" \
    --dir %{buildroot}%{_datadir}/applications \
    %{buildroot}%{_datadir}/applications/*

%files -f %{upstream_name}.lang
%doc README COPYING ABOUT-NLS AUTHORS ChangeLog INSTALL NEWS
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{upstream_name}
%{_iconsdir}/hicolor/*/apps/%{name}.png


%changelog

* Mon Jan 14 2013 umeabot <umeabot> 12.09.0-2.mga3
+ Revision: 385902
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Sep 20 2012 grenoya <grenoya> 12.09.0-1.mga3
+ Revision: 296432
- new version 12.09.0

* Sun Jan 22 2012 kamil <kamil> 12.01.0-1.mga2
+ Revision: 199797
- new version 12.01.0
- fix file list

* Sun Jan 22 2012 kamil <kamil> 11.08.0-2.mga2
+ Revision: 199785
- rebuild against new gcc 4.6.2
- clean .spec

* Sat Sep 10 2011 grenoya <grenoya> 11.08.0-1.mga2
+ Revision: 142251
- upgrade to 11.08.0

  + ahmad <ahmad>
    - Rebuild against wxgtk2.8 with enabled catch_segvs

* Thu Apr 21 2011 grenoya <grenoya> 0.8.6-2.mga1
+ Revision: 89490
- clean old Mdv syntax
- imported package wxmaxima

